Bug 538493 - Please add Maven depmap fragments
Please add Maven depmap fragments
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mysql-connector-java (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-18 12:19 EST by Mary Ellen Foster
Modified: 2010-01-06 19:55 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.1.8-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-06 19:55:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-11-18 12:19:47 EST
Description of problem:
Please add Maven depmap fragments to the spec file as specified here:
    https://fedoraproject.org/wiki/Packaging/Java#maven
This makes it possible for other packages that use Maven to build against the
jakarta-commons-pool library.

The appropriate call to %add_to_maven_depmap is probably:
   %add_to_maven_depmap mysql mysql-connector-java %{version} JPP mysql-connector-java

Version-Release number of selected component (if applicable):
mysql-connector-java-5.1.8-1.fc12.x86_64
Comment 1 Mary Ellen Foster 2009-12-03 06:03:33 EST
I'd like to add the necessary Maven metadata myself, using provenpackager access. If you don't want me to do this, please let me know before Saturday 5 December.
Comment 2 Milos Jakubicek 2009-12-03 18:31:37 EST
Just go ahead, I'm sorry I didn't have time to do that as far:(

Thanks for your help!
Comment 3 Fedora Update System 2009-12-04 11:57:03 EST
mysql-connector-java-5.1.8-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mysql-connector-java-5.1.8-2.fc11
Comment 4 Fedora Update System 2009-12-04 11:58:15 EST
mysql-connector-java-5.1.8-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mysql-connector-java-5.1.8-2.fc12
Comment 5 Fedora Update System 2009-12-07 02:24:20 EST
mysql-connector-java-5.1.8-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mysql-connector-java'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12763
Comment 6 Fedora Update System 2009-12-07 02:25:00 EST
mysql-connector-java-5.1.8-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mysql-connector-java'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12768
Comment 7 Fedora Update System 2010-01-06 19:55:01 EST
mysql-connector-java-5.1.8-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-01-06 19:55:50 EST
mysql-connector-java-5.1.8-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.